# Class ChannelMembership | EchoHub Documentation

# Class ChannelMembership

Namespace
  EchoHub.Core.Models

Assembly
  EchoHub.Core.dll

    public class ChannelMembership

Inheritance
  object
  ChannelMembership

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ChannelMembership()

    public ChannelMembership()

## Properties

### ChannelId

    public Guid ChannelId { get; set; }

#### Property Value

Guid

### JoinedAt

    public DateTimeOffset JoinedAt { get; set; }

#### Property Value

DateTimeOffset

### UserId

    public Guid UserId { get; set; }

#### Property Value

Guid